---
########################################################################
# Common task file
#=======================================================================
# This task file declares common variables for the storage volume which
# is being processed. It is shared and called by providers of this
# metarole.
########################################################################
#-----------------------------------------------------------------------
# Resolve the path to the volume device file
#-----------------------------------------------------------------------
- name: Resolve the path to the volume device file
  set_fact:
    __volume_device: "{{ lookup('template',
        meta_path_generators ~ '/storage/get_volume_device.j2')
      }}"
  vars:
    storage_volume: "{{ __volume }}"

- name: Assert the path to the volume device file is defined
  when: not __volume_device
  fail:
    msg: Unable to get a path to the device representing the volume.

- name: Show the full path to the volume device file
  tags: ['flag::debug', 'never']
  debug:
    var: __volume_device

#-----------------------------------------------------------------------
# Set volume label
#-----------------------------------------------------------------------
- name: Set volume label
  set_fact:
    __volume_label: >-
      {%- if 'label' in __volume -%}
        {{ __volume['label'] }}
      {%- else -%}
        {{ __volume['uid'] }}
      {%- endif -%}

- name: Show volume label
  tags: ['flag::debug', 'never']
  debug:
    var: __volume_label